Bug 482749 - the package details page ISEs if it can't fine the source rpm
the package details page ISEs if it can't fine the source rpm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Devel
All Linux
low Severity medium
: ---
: ---
Assigned To: Grant Gainey
Red Hat Network Quality Assurance
:
Depends On:
Blocks: 480004
  Show dependency treegraph
 
Reported: 2009-01-27 16:04 EST by Stephen Herr
Modified: 2009-03-16 08:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 08:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2009-01-27 16:04:06 EST
Description of problem:
We re-wrote the package details page in java, but now it ISEs if it can't find the source rpm.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Try to view package details page for a package that doesn't have a source rpm.
2. Know examples are ant and logwatch
  
Actual results:
ISE

Expected results:
viewing package details page

Additional info:
Comment 1 Grant Gainey 2009-01-27 16:40:11 EST
Sending        rhn-common/src/main/java/com/redhat/rhn/manager/rhnpackage/PackageManager.java
Sending        rhn-web/src/main/java/com/redhat/rhn/frontend/action/software/PackageDetailsOverviewAction.java
Sending        rhn-web/src/main/webapp/WEB-INF/pages/software/packages/overview.jsp
Transmitting file data ...
Committed revision 119428.
Comment 2 Sebastian Skracic 2009-01-28 10:33:46 EST
I've seen the changes pushed to DEV -- Seb.
Comment 3 Sebastian Skracic 2009-01-28 10:34:36 EST
Forgot to mention a sample package with no source available:

https://rhn.webdev.redhat.com/rhn/software/packages/details/Overview.do?pid=434187
Comment 4 Stephen Herr 2009-02-05 10:56:36 EST
verified in dev

Note You need to log in before you can comment on or make changes to this bug.